NX Open C++ Reference Guide
|
Represents a SketchAngularDimensionBuilder
To create a new instance of this class, use SketchCollection::CreateAngularDimensionBuilder
Created in NX9.0.0.
More...
Public Member Functions | |
NXOpen::Annotations::DrivingValueBuilder * | Driving () |
Returns the driving value builder, which manages driving dimension values Created in NX9.0.0. | |
![]() | |
void | AlternateAngle () |
Alternate angle Created in NX9.0.0. | |
NXOpen::Annotations::AppendedTextBuilder * | AppendedText () |
Returns the appended text Created in NX9.0.0. | |
NXOpen::SelectDisplayableObject * | FirstAssociativity () |
Returns the first associativity Created in NX9.0.0. | |
NXOpen::Direction * | FirstVector () |
Returns the first vector Created in NX9.0.0. | |
NXOpen::View * | FirstVectorView () |
Returns the first vector view Created in NX9.0.0. | |
bool | GetFirstAssociativityVectorFlipped () |
First associativity vector flipped. | |
bool | GetSecondAssociativityVectorFlipped () |
Second associativity vector flipped. | |
NXOpen::Annotations::SelectDimension * | Inherit () |
Returns the inherit Created in NX9.0.0. | |
NXOpen::Annotations::OriginBuilder * | Origin () |
Returns the origin Created in NX9.0.0. | |
NXOpen::SelectDisplayableObject * | SecondAssociativity () |
Returns the second associativity Created in NX9.0.0. | |
NXOpen::Direction * | SecondVector () |
Returns the second vector Created in NX9.0.0. | |
NXOpen::View * | SecondVectorView () |
Returns the second vector view Created in NX9.0.0. | |
void | SetFirstAssociativityVectorFlipped (bool firstVectorFlipped) |
First associativity vector flipped Created in NX9.0.0. | |
void | SetFirstVector (NXOpen::Direction *firstVector) |
Sets the first vector Created in NX9.0.0. | |
void | SetFirstVectorView (NXOpen::View *firstVectorView) |
Sets the first vector view Created in NX9.0.0. | |
void | SetSecondAssociativityVectorFlipped (bool secondVectorFlipped) |
Second associativity vector flipped Created in NX9.0.0. | |
void | SetSecondVector (NXOpen::Direction *secondVector) |
Sets the second vector Created in NX9.0.0. | |
void | SetSecondVectorView (NXOpen::View *firstVectorView) |
Sets the second vector view Created in NX9.0.0. | |
NXOpen::Annotations::StyleBuilder * | Style () |
Returns the style Created in NX9.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a SketchAngularDimensionBuilder
To create a new instance of this class, use SketchCollection::CreateAngularDimensionBuilder
Created in NX9.0.0.
NXOpen::Annotations::DrivingValueBuilder* NXOpen::SketchAngularDimensionBuilder::Driving | ( | ) |
Returns the driving value builder, which manages driving dimension values
Created in NX9.0.0.
License requirements : None